com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_Gb29768_InventoryCfg.AutoTuning

- java.lang.Object
- - com.unitech.stuhfl.STUHFL_T_ST25RU3993_Gb29768_InventoryCfg.AutoTuning

- Enclosing class:
    STUHFL_T_ST25RU3993_Gb29768_InventoryCfg

      public class STUHFL_T_ST25RU3993_Gb29768_InventoryCfg.AutoTuning
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `STUHFL_E.TUNING_ALGO` | `algorithm` < I/O Param: Deviation level for retuning in percentage
    `boolean` | `falsePositiveDetection` < I/O Param: Algorithm to be used for re-tuning
    `int` | `interval`
    `short` | `level` < I/O Param: Auto tuning check interval (in inventory rounds)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoTuning(int interval, short level, STUHFL_E.TUNING_ALGO algorithm, boolean falsePositiveDetection)` < I/O Param: Algorithm used for automatic (re)tuning.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### interval

          public int interval

    - #### level

          public short level

      < I/O Param: Auto tuning check interval (in inventory rounds)

    - #### algorithm

          public STUHFL_E.TUNING_ALGO algorithm

      < I/O Param: Deviation level for retuning in percentage

    - #### falsePositiveDetection

          public boolean falsePositiveDetection

      < I/O Param: Algorithm to be used for re-tuning

  - ### Constructor Detail

    - #### AutoTuning

          public AutoTuning(int interval,
                            short level,
                            STUHFL_E.TUNING_ALGO algorithm,
                            boolean falsePositiveDetection)

      < I/O Param: Algorithm used for automatic (re)tuning. See

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`